Bug 464183 - (CVE-2008-3663) CVE-2008-3663 squirrelmail: session hijacking - secure flag not set for HTTPS-only cookies
CVE-2008-3663 squirrelmail: session hijacking - secure flag not set for HTTPS...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
impact=moderate,source=cve,reported=2...
: Security
Depends On: 464184 464185 464186 468398 473288 473289 473290 473291 833979
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-26 11:46 EDT by Josh Bressers
Modified: 2012-06-20 10:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-12 09:48:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upsteam patch for posterity sake (13.15 KB, patch)
2008-10-24 17:53 EDT, Josh Bressers
no flags Details | Diff

  None (edit)
Description Josh Bressers 2008-09-26 11:46:14 EDT
Squirrelmail 1.4.15 does not set the secure flag for the session
cookie in an https session, which can cause the cookie to be sent in
http requests and make it easier for remote attackers to capture this
cookie.

Reference: BUGTRAQ:20080922 Squirrelmail: Session hijacking vulnerability, CVE-2008-3663
Reference: URL:http://www.securityfocus.com/archive/1/archive/1/496601/100/0/threaded
Reference: MISC:http://int21.de/cve/CVE-2008-3663-squirrelmail.html
Reference: BID:31321
Reference: URL:http://www.securityfocus.com/bid/31321
Comment 2 Tomas Hoger 2008-09-30 03:00:25 EDT
Upstream SVN commit addressing this issue:

http://squirrelmail.svn.sourceforge.net/viewvc/squirrelmail?view=rev&revision=13290
Comment 5 Fedora Update System 2008-10-23 12:35:45 EDT
squirrelmail-1.4.16-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Josh Bressers 2008-10-24 17:53:37 EDT
Created attachment 321469 [details]
Upsteam patch for posterity sake
Comment 7 Fedora Update System 2008-10-24 19:48:11 EDT
squirrelmail-1.4.16-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Tomas Hoger 2008-11-27 09:55:43 EST
Upstream advisory:
  http://www.squirrelmail.org/security/issue/2008-09-28
Comment 14 Red Hat Product Security 2009-01-12 09:48:12 EST
This issue was addressed in:

Red Hat Enterprise Linux:
  http://rhn.redhat.com/errata/RHSA-2009-0010.html

Fedora:
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-8559

Note You need to log in before you can comment on or make changes to this bug.